/*****************************************************
**                                                  **
**  Palette de couleur entreprise                   **
**                                                  **
*****************************************************/

/* Variables couleur et font de la charte TS */
:root {
    /* palette de couleurs */
    --me-color-primary-green-a: #05452B;
    --me-color-primary-green-a-rgb: 5, 69, 43;
    --me-color-primary-green-b: #235C45;
    --me-color-primary-green-b-rgb: 35, 92, 69;
    --me-color-primary-green-c: #447460;
    --me-color-primary-green-70: #507D6B;
    --me-color-primary-green-50: #82A295;
    --me-color-primary-green-20: #CDDAD5;
    --me-color-primary-green-a-btn-hover: #A7D4C2;
    --me-color-primary-green-10: #E6ECEA;
    --me-color-primary-green-5: #F3F6F4;
    --me-color-secondary-green-a: #00804A;
    --me-color-secondary-green-a-rgb: 0, 128, 74;
    --me-color-secondary-green-a-50: #80C0A5;
    --me-color-secondary-green-a-50-rgb: 128, 192, 165;
    --me-color-secondary-green-a-20: #CCE6DB;
    --me-color-secondary-green-a-20-rgb: 204, 230, 219;
    --me-color-secondary-green-a-10: #E6F2ED;
    --me-color-secondary-green-b: #07876E;
    --me-color-secondary-green-c: #80EA9D;
    --me-color-secondary-green-c-rgb: 128, 234, 157;
    --me-color-secondary-green-c-50: #C6F6D3;
    /*    --ts-color-primary-green-1-50: #7D9F87;
    --ts-color-primary-green-1-10: #B9CCB5;
    --ts-color-primary-green-1-muted: #B4C9B3;
    --ts-color-primary-green-1-cont: #82A295;
    --ts-color-primary-green-1-cont-2: #C1D1CA;*/
    --me-color-orange-a: #FF781B;
    --me-color-orange-a-20: #FFE4D1;
    --me-color-orange-a-10: #FFF2E8;
    --me-color-orange-a-5: #FFF8F4;
    --me-color-orange-b: #FF8937;
    --me-color-orange-c: #FF9A54;
    --me-color-orange-c-rgb: 255, 154, 84;
    --me-color-orange-c-10: #FFF5EE;
    --me-color-vanilla: #E1DFB1;
    /*  --me-color-vanilla-2: #EDF3D4;
    --me-color-vanilla-3: #80EA9D;*/
    --me-color-beige: #F6FAE5;
    --me-color-beige-rgb: 246, 250, 229;
    /* couleurs utiles */
    --ts-color-info-blue: #2F80AB; /* bleu ts */
    --ts-color-info-blue-rgb: 47, 128, 171;
    --ts-color-info-blue-bg: #EBF3F7; /* bleu ts 10% */
    --ts-color-info-blue-bg-rgb: 235, 243, 247;
    --ts-color-info-green: #00A63E;
    --ts-color-info-green-rgb: 0, 166, 62;
    --ts-color-info-green-bg: #EAFFF1;
    --ts-color-info-green-bg-rgb: 234, 255, 241;
    --ts-color-info-red: #D8284F;
    --ts-color-info-red-rgb: 216, 40, 79;
    --ts-color-info-red-bg: #FFE4E9;
    --ts-color-info-red-bg-rgb: 255, 228, 233;
    /* couleur texte 1 = darker */
    --ts-color-text1: #232427;
    --ts-color-text1-rgb: 35, 36, 39;
    --ts-color-text2: #4A5565;
    --ts-color-text2-rgb: 74, 85, 101;
    --ts-color-text3: #6A7282; /* couleur icones Tabs ? */
    --ts-color-text3-rgb: 106, 114, 130;
    --ts-color-text4: #99A1AF;
    --ts-color-text4-rgb: 153, 161, 175;
    --ts-color-text5: #EAEBEB;
    --ts-color-text5-rgb: 234, 235, 235;
}

/*************************************************************
**                                                          **
**  Redéfinition des variables pour thème vert light mexens **
**                                                          **
**************************************************************/

html {
    font-size: var(--bs-body-font-size); /* défini le rem */
}

/* definition variable enerpro */
:root {
    /* colors font */
    --enp-color-primary: var(--me-color-secondary-green-a);
    --enp-color-primary-rgb: var(--me-color-secondary-green-a-rgb);
    --enp-color-primary-50: var(--me-color-secondary-green-a-50);
    --enp-color-primary-50-rgb: var(--me-color-secondary-green-a-50-rgb);
    --enp-color-primary-20: var(--me-color-secondary-green-a-20);
    --enp-color-primary-20-rgb: var(--me-color-secondary-green-a-20-rgb);
    --enp-color-primary-10: var(--me-color-secondary-green-a-10);
    --enp-color-secondary: var(--me-color-secondary-green-c);
    --enp-color-secondary-rgb: var(--me-color-secondary-green-c-rgb);
    --enp-color-secondary-50: var(--me-color-secondary-green-c-50);
    --enp-color-cta: var(--me-color-orange-a);
    /* color bg */
    --enp-main-color-bg: var(--me-color-primary-green-5);
    --enp-color-btn-bg-hover: var(--me-color-primary-green-a-btn-hover);
    --enp-color-btn-bg-active: var(--me-color-primary-green-a-btn-hover);
    --enp-color-btn-cta-bg: var(--me-color-orange-a-5);
    --enp-color-btn-cta-bg-hover: var(--me-color-orange-a-10);
    --enp-color-listgroup-bg-hover-rgb: var(--me-color-primary-green-a-btn-hover);
    /* color border */
    --enp-color-separator: var(--me-color-primary-green-20);
    --enp-color-dt-separator: var(--me-color-primary-green-50);
    --enp-color-content-border: var(--me-color-primary-green-10);
    --enp-color-accordion-emphasis-border: var(--me-color-secondary-green-c);
    --enp-color-form-control-border: var(--me-color-primary-green-50);
    --enp-color-btn-cta-border: var(--me-color-orange-a-20);
    /* gradient */
    --enp-gradient-primary-90: linear-gradient(90deg, var(--enp-color-primary) 0%, var(--enp-color-secondary) 100%);
    --enp-gradient-primary-180: linear-gradient(180deg, var(--enp-color-primary) 0%, var(--enp-color-secondary) 100%);
    /* polices */
    --enp-font-family-title: "Hubot Sans", Arial, Helvetica, sans-serif;
    --enp-font-family-baseline: "DM Sans", Arial, Helvetica, sans-serif;
    --enp-font-weight-bold: 800;
    --enp-font-weight-medium: 600;
    --enp-font-weight-normal: 400;
    --enp-font-weight-light: 300;
    /* disposition */
    --enp-header-and-footer-heigth: 5.5rem; /*88px*/
    --enp-padding-main: 1rem;
    --enp-margin-main: 1rem;
}


/* redefinition des variable bootstrap */
:root {
    --bs-primary: var(--enp-color-primary);
    --bs-primary-rgb: var(--enp-color-primary-rgb);
    --bs-secondary: var(--enp-color-secondary);
    --bs-secondary-rgb: var(--enp-color-secondary-rgb);
    --bs-light: var(--ts-color-text5);
    --bs-light-rgb: var(--ts-color-text5-rgb);
    --bs-dark: var(--ts-color-text1);
    --bs-dark-rgb: var(--ts-color-text1-rgb);
    --bs-white: white;
    --bs-white-rgb: 255,255,255;
    --bs-secondary-color: var(--ts-color-text3);
    --bs-secondary-color-rgb: var(--ts-color-text3-rgb);
    --bs-tertiary-color: var(--ts-color-text4);
    --bs-tertiary-color-rgb: var(--ts-color-text4-rgb);
    --bs-body-bg: var(--bs-white);
    --bs-body-bg-rgb: var(--bs-white-rgb);
    --bs-body-color: var(--ts-color-text3);
    --bs-body-color-rgb: var(--ts-color-text3-rgb);
    --bs-body-font-family: var(--enp-font-family-baseline);
    /*--bs-body-font-weight: 400;*/
    --bs-body-font-size: 14px;
    --bs-body-line-height: 1;
    --bs-body-text-align: left;
    --bs-success: var(--ts-color-info-green);
    --bs-info: var(--ts-color-info-blue);
    --bs-warning: var(--me-color-orange-c);
    --bs-danger: var(--ts-color-info-red);
    --bs-success-rgb: var(--ts-color-info-green-rgb);
    --bs-info-rgb: var(--ts-color-info-blue-rgb);
    --bs-warning-rgb: var(--me-color-orange-c-rgb);
    --bs-danger-rgb: var(--ts-color-info-red-rgb);
    --bs-success-bg-subtle: var(--ts-color-info-green-bg);
    --bs-info-bg-subtle: var(--ts-color-info-blue-bg);
    --bs-warning-bg-subtle: var(--me-color-orange-c-10);
    --bs-danger-bg-subtle: var(--ts-color-info-red-bg);
    --bs-success-text-emphasis: var(--ts-color-info-green);
    --bs-info-text-emphasis: var(--ts-color-info-blue);
    --bs-warning-text-emphasis: var(--me-color-orange-a);
    --bs-danger-text-emphasis: var(--ts-color-info-red);
    --bs-form-valid-color: var(--ts-color-info-green);
    --bs-form-valid-border-color: var(--ts-color-info-green);
    --bs-form-invalid-color: var(--ts-color-info-red);
    --bs-form-invalid-border-color: var(--ts-color-info-red);
    --bs-border-color: var(--enp-color-form-control-border);
    --bs-border-radius-lg: 0.75rem;
    --bs-link-color: var(--enp-color-primary);
    --bs-link-color-rgb: var(--enp-color-primary-rgb);
    --bs-link-hover-color: var(--enp-color-primary-bleu);
    --bs-link-hover-color-rgb: var(--enp-color-primary-rgb);
}

/* Définition variable du menu navigation */
.app-sidebar {
    --enp-sidebar-background-color: var(--bs-body-bg);
    --enp-sidebar-width: 280px;
    --enp-sidebar-reduce-width: 4.5rem;
    --enp-sidebar-group-max-height: 20vh;
    --enp-sidebar-border-color: var(--enp-color-separator);
    --enp-sidebar-title-heigth: var(--enp-header-and-footer-heigth);
    --enp-sidebar-title-gradient: var(--enp-color-primary);
    --enp-sidebar-title-font-size: calc(var(--bs-body-font-size) * 2);
    --enp-sidebar-title-font-weight: var(--enp-font-weight-medium);
    --enp-sidebar-title-letter-spacing: 0.07%;
    --enp-sidebar-badge-prefix: "";
    --enp-sidebar-badge-font-size: 0.5rem;
    --enp-sidebar-badge-color: var(--enp-color-primary);
    --enp-sidebar-badge-background-color: var(--enp-color-separator);
    --enp-sidebar-badge-border-color: var(--enp-sidebar-badge-background-color);
    --enp-sidebar-item-font-family: var(--enp-font-family-title);
    --enp-sidebar-item-leaf-font-size: 1rem;
    --enp-sidebar-item-leaf-font-weight: var(--enp-font-weight-light);
    --enp-sidebar-item-leaf-color: var(--ts-color-text1);
    --enp-sidebar-item-leaf-color-active: var(--enp-color-primary);
    --enp-sidebar-item-leaf-color-bg-active: var(--enp-color-btn-bg-active);
    --enp-sidebar-item-leaf-font-weight-active: var(--enp-font-weight-normal);
    --enp-sidebar-item-leaf-letter-spacing: 0;
    --enp-sidebar-item-leaf-background-color-hover: var(--ts-color-text5);
    --enp-sidebar-item-header-font-size: calc(var(--bs-body-font-size) - .25rem);
    --enp-sidebar-item-header-font-weight: var(--enp-font-weight-normal);
    --enp-sidebar-item-header-color: var(--ts-color-text3);
    --enp-sidebar-item-header-letter-spacing: 1.5%;
    --enp-sidebar-group-color: var(--enp-color-primary);
    --enp-sidebar-group-font-weight: var(--enp-font-weight-normal);
    --enp-sidebar-group-bg-hover: var(--ts-color-text5);
    --enp-sidebar-views-color: var(--enp-color-primary);
    --enp-sidebar-views-color-bg: var(--ts-color-primary-bleu-10);
    --enp-sidebar-views-font-weight: var(--enp-font-weight-medium);
    --enp-sidebar-views-color-bg-hover: var(--enp-color-btn-bg-hover);
    --enp-sidebar-views-color-active: var(--enp-color-primary);
    --enp-sidebar-views-color-bg-active: var(--ts-color-primary-bleu-30);
    --enp-sidebar-views-font-weight-active: var(--enp-font-weight-bold);
}

/* redefinition des variables utilisées pour les dropdown */
.dropdown-menu {
    --bs-dropdown-border-color: var(--enp-color-separator);
    --bs-dropdown-link-color: var(--ts-color-text3);
    --bs-dropdown-link-hover-color: var(--enp-color-primary);
    --bs-dropdown-link-hover-bg: var(--enp-color-btn-bg-hover);
    --bs-dropdown-link-active-color: var(--enp-color-primary);
    --bs-dropdown-link-active-bg: var(--enp-color-btn-bg-hover);
}

/* redefinition des variables utilisées pour le composant Tabs */
.nav-underline {
    --bs-nav-underline-gap: 1rem;
    --bs-nav-underline-border-width: 2px;
    --bs-nav-underline-link-active-color: var(--enp-color-primary);
    gap: var(--bs-nav-underline-gap);
}
/* redefinition des variables utilisées pour le composant accordeon */
.accordion {
    --bs-accordion-btn-icon-width: 1rem;
    --bs-accordion-btn-color: var(--enp-color-primary);
    --bs-accordion-active-bg: transparent;
    --bs-accordion-bg: transparent;
}
/* redefinition des variables utilisées pour le composant listGroup */
.list-group {
    --bs-list-group-action-hover-bg: rgba(var(--enp-color-listgroup-bg-hover-rgb), 0.35);
}
/* redefinition des variables utilisées dans la table bootstrap */
.table {
    --bb-table-sticky-background-color: var(--enp-color-primary);
    --bs-table-hover-bg: rgba(var(--enp-color-secondary-rgb), 0.075);
}

.pagination {
    --bs-pagination-active-bg: var(--enp-color-primary);
    --bs-pagination-active-border-color: var(--enp-color-primary);
}
/* redefinition des variables utilisées par Datatable.net */
:root {
    --dt-row-hover: var(--enp-color-primary-50-rgb);
    --dt-row-selected: var(--enp-color-primary-20-rgb);
    --dt-row-selected-link: var(--bs-link-color-rgb);
    --dt-row-selected-text: var(--bs-table-color);
    /*--bs-table-border-color:#b5c0c9 ;*/
}
/* variable pour la TimeLine */
:root {
    --enp-timeline-height: 0.75rem;
    --enp-timeline-tooltip-bg: #FFFFFF; /*--bs-tooltip-bg*/
}

/**************************************************
**                                               **
**      Mise à l'échelle Windows (DPI scaling)   **
**                                               **
***************************************************/
/* 125% */
@media (min-resolution: 1.25dppx) {
    :root {
        --bs-body-font-size: 12px;
        --enp-header-and-footer-heigth: 4.5rem;
        --enp-padding-main: 0.75rem;
        --enp-margin-main: 0.75rem;
    }

    .app-sidebar {
        --enp-sidebar-width: 230px;
    }
    /* Icône loupe : compense la mise à l'échelle sur background-size */
    input[type="search"] {
        background-size: 0.85rem 0.85rem;
    }
    /* header du menu navigation */
    aside .bb-sidebar-top-row > div {
        padding: 0px !important;
    }
}

/* 150% et plus */
@media (min-resolution: 1.5dppx) {
    :root {
        --bs-body-font-size: 10px;
        --enp-header-and-footer-heigth: 4rem;
        --enp-padding-main: 0.5rem;
        --enp-margin-main: 0.5rem;
    }

    .app-sidebar {
        --enp-sidebar-width: 190px;
    }

    input[type="search"] {
        background-size: 0.75rem 0.75rem;
    }

    aside .bb-sidebar-top-row > div {
        padding: 0px !important;
    }
}
